<div style="margin-top: 30px;">
    <div class="container">

        <!-- PENCARIAN -->
        <div style="margin-top: 20px;">
            <p-accordion class="filter-accordion">
                <p-accordionTab header="Pilih Cabang" [selected]="false">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field_internal">Cabang 1</label>
                                <select class="form-control" id="field_internal" name="internal" [(ngModel)]="internal1" >
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field_internal">Cabang 2</label>
                                <select class="form-control" id="field_internal" name="internal" [(ngModel)]="internal2" >
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field_internal">Cabang 3</label>
                                <select class="form-control" id="field_internal" name="internal" [(ngModel)]="internal3" >
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter" (click)="search()">
                            <span>Cari</span>
                        </button>
                    </div>
                </p-accordionTab>
            </p-accordion>
            
            <p-dataTable
                [value]="unitDocumentMessages"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idReq"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                </p-header>

                <p-column header="Market Name ">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.MarketName}}
                    </ng-template>
                </p-column>

                <p-column header="Kode Tipe">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.IdProduct}}
                    </ng-template>
                </p-column>

                <p-column header="Warna">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.Color}}
                    </ng-template>
                </p-column>

                <p-column header="Qty">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.Qty}}
                    </ng-template>
                </p-column>

                <p-column header="Cabang 1 (Qty)"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtyCabang1}}
                    </ng-template>
                </p-column>

                <p-column header="Request (Qty)">
                    <ng-template let-rowData="rowData" let-i="rowIndex" pTemplate="body">
                        <div>
                            <input type="text" name="req1" id="fee" [(ngModel)]="unitDocumentMessages[i].Request1" pInputText  jhiNumbers>
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Cabang 2 (Qty)">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtyCabang2}}
                    </ng-template>
                </p-column>

                <p-column header="Request (Qty)">
                    <ng-template let-rowData="rowData" let-i="rowIndex" pTemplate="body">
                        <div>
                            <input type="text" name="req2" id="fee" [(ngModel)]="unitDocumentMessages[i].Request2" pInputText appendTo="body" jhiNumbers>
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Cabang 3 (Qty)">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtyCabang3}}
                    </ng-template>
                </p-column>

                <p-column header="Request (Qty)">
                    <ng-template let-rowData="rowData" let-i="rowIndex" pTemplate="body">
                        <div>
                            <input type="text" name="req3" id="fee" [(ngModel)]="unitDocumentMessages[i].Request3" pInputText appendTo="body" jhiNumbers>
                        </div>
                    </ng-template>
                </p-column>
       
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
           
                <div class="btn-filter-wrapper pull-right">
                    <button type="button" class="btn btn-primary btn-filter"
                    (click)="createRequestNote()">
                        <span>Create Request Note</span>
                    </button>
                </div>
                <div class="btn-filter-wrapper pull-right">
                    <button type="button" 
                        class="btn btn-primary btn-filter"
                        (click)="printSave()">
                        <span>Print List</span>
                    </button>
                    &nbsp;
                    &nbsp;
                </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
